Developer Documentation

Public Member Functions | Public Attributes | List of all members
VolumeMeshDrawModesContainer Class Reference

This class provides easy access to DrawModes supported by OpenVolumeMesh. More...

`#include <Type-OpenVolumeMesh/ObjectTypes/VolumeMeshObject/VolumeMeshDrawModesContainer.hh>`

## Public Member Functions
ACG::SceneGraph::DrawModes::DrawMode | getFirstCellDrawMode (ACG::SceneGraph::DrawModes::DrawMode _drawMode)
| Returns the first cell based draw mode that is present in the given draw mode. More...
ACG::SceneGraph::DrawModes::DrawMode | getFirstFaceDrawMode (ACG::SceneGraph::DrawModes::DrawMode _drawMode)
| Returns the first face or halfface based draw mode that is present in the given draw mode. More...
ACG::SceneGraph::DrawModes::DrawMode | getFirstEdgeDrawMode (ACG::SceneGraph::DrawModes::DrawMode _drawMode)
| Returns the first edge or halfedge based draw mode that is present in the given draw mode. More...
ACG::SceneGraph::DrawModes::DrawMode | getFirstVertexDrawMode (ACG::SceneGraph::DrawModes::DrawMode _drawMode)
| Returns the first vertex based draw mode that is present in the given draw mode. More...

## Public Attributes
ACG::SceneGraph::DrawModes::DrawMode | cellsFlatShaded
ACG::SceneGraph::DrawModes::DrawMode | cellsSmoothShaded
ACG::SceneGraph::DrawModes::DrawMode | cellsPhongShaded
ACG::SceneGraph::DrawModes::DrawMode | cellsColoredPerCell
ACG::SceneGraph::DrawModes::DrawMode | cellsColoredPerFace
ACG::SceneGraph::DrawModes::DrawMode | cellsColoredPerHalfface
ACG::SceneGraph::DrawModes::DrawMode | cellsColoredPerVertex
ACG::SceneGraph::DrawModes::DrawMode | cellsTransparent
ACG::SceneGraph::DrawModes::DrawMode | facesFlatShaded
ACG::SceneGraph::DrawModes::DrawMode | facesSmoothShaded
ACG::SceneGraph::DrawModes::DrawMode | facesPhongShaded
ACG::SceneGraph::DrawModes::DrawMode | facesColoredPerFace
ACG::SceneGraph::DrawModes::DrawMode | facesColoredPerFaceFlatShaded
ACG::SceneGraph::DrawModes::DrawMode | facesColoredPerVertex
ACG::SceneGraph::DrawModes::DrawMode | facesTextured
ACG::SceneGraph::DrawModes::DrawMode | facesTexturedShaded
ACG::SceneGraph::DrawModes::DrawMode | facesOnCells
ACG::SceneGraph::DrawModes::DrawMode | hiddenLineBackgroundFaces
ACG::SceneGraph::DrawModes::DrawMode | halffacesFlatShaded
ACG::SceneGraph::DrawModes::DrawMode | halffacesSmoothShaded
ACG::SceneGraph::DrawModes::DrawMode | halffacesPhongShaded
ACG::SceneGraph::DrawModes::DrawMode | halffacesColoredPerHalfface
ACG::SceneGraph::DrawModes::DrawMode | halffacesColoredPerVertex
ACG::SceneGraph::DrawModes::DrawMode | edgesWireframe
ACG::SceneGraph::DrawModes::DrawMode | edgesHiddenLine
ACG::SceneGraph::DrawModes::DrawMode | edgesColoredPerEdge
ACG::SceneGraph::DrawModes::DrawMode | edgesOnCells
ACG::SceneGraph::DrawModes::DrawMode | halfedgesWireframe
ACG::SceneGraph::DrawModes::DrawMode | halfedgesHiddenLine
ACG::SceneGraph::DrawModes::DrawMode | halfedgesColoredPerHalfedge
ACG::SceneGraph::DrawModes::DrawMode | verticesFlatShaded
ACG::SceneGraph::DrawModes::DrawMode | verticesColored
ACG::SceneGraph::DrawModes::DrawMode | verticesOnCells
ACG::SceneGraph::DrawModes::DrawMode | irregularInnerEdges
ACG::SceneGraph::DrawModes::DrawMode | irregularOuterEdges
ACG::SceneGraph::DrawModes::DrawMode | cellBasedDrawModes
ACG::SceneGraph::DrawModes::DrawMode | faceBasedDrawModes
ACG::SceneGraph::DrawModes::DrawMode | halffaceBasedDrawModes
ACG::SceneGraph::DrawModes::DrawMode | edgeBasedDrawModes
ACG::SceneGraph::DrawModes::DrawMode | halfedgeBasedDrawModes
ACG::SceneGraph::DrawModes::DrawMode | vertexBasedDrawModes

## Detailed Description

This class provides easy access to DrawModes supported by OpenVolumeMesh.

Definition at line 50 of file VolumeMeshDrawModesContainer.hh.

## Member Function Documentation

## ◆ getFirstCellDrawMode()

ACG::SceneGraph::DrawModes::DrawMode VolumeMeshDrawModesContainer::getFirstCellDrawMode | ( | ACG::SceneGraph::DrawModes::DrawMode | _drawMode | ) |
| inline

Returns the first cell based draw mode that is present in the given draw mode.

Parameters

  _drawMode | A draw mode that may be non-atomic

Returns
  The first cell based draw mode that is present in _drawMode or DrawModes::NONE if none was found

Definition at line 165 of file VolumeMeshDrawModesContainer.hh.

## ◆ getFirstEdgeDrawMode()

ACG::SceneGraph::DrawModes::DrawMode VolumeMeshDrawModesContainer::getFirstEdgeDrawMode | ( | ACG::SceneGraph::DrawModes::DrawMode | _drawMode | ) |
| inline

Returns the first edge or halfedge based draw mode that is present in the given draw mode.

Parameters

  _drawMode | A draw mode that may be non-atomic

Returns
  The first edge or halfedge based draw mode that is present in _drawMode or DrawModes::NONE if none was found

Definition at line 212 of file VolumeMeshDrawModesContainer.hh.

## ◆ getFirstFaceDrawMode()

ACG::SceneGraph::DrawModes::DrawMode VolumeMeshDrawModesContainer::getFirstFaceDrawMode | ( | ACG::SceneGraph::DrawModes::DrawMode | _drawMode | ) |
| inline

Returns the first face or halfface based draw mode that is present in the given draw mode.

Parameters

  _drawMode | A draw mode that may be non-atomic

Returns
  The first face or halfface based draw mode that is present in _drawMode or DrawModes::NONE if none was found

Definition at line 183 of file VolumeMeshDrawModesContainer.hh.

## ◆ getFirstVertexDrawMode()

ACG::SceneGraph::DrawModes::DrawMode VolumeMeshDrawModesContainer::getFirstVertexDrawMode | ( | ACG::SceneGraph::DrawModes::DrawMode | _drawMode | ) |
| inline

Returns the first vertex based draw mode that is present in the given draw mode.

Parameters

  _drawMode | A draw mode that may be non-atomic

Returns
  The first vertex based draw mode that is present in _drawMode or DrawModes::NONE if none was found

Definition at line 235 of file VolumeMeshDrawModesContainer.hh.

The documentation for this class was generated from the following file:

- Type-OpenVolumeMesh/ObjectTypes/VolumeMeshObject/VolumeMeshDrawModesContainer.hh